<template>
  <div class="follow-time">
    <el-dialog
      title="履约开始时间"
      :visible.sync="showFollowTime"
      v-if="showThisPage"
      :before-close="clickClose"
      center>
      <div class="finish-content">
        <el-table
          :data="nodeTimeList"
          center
          style="width: 100%;margin-top: 20px;">
          <el-table-column
            prop="timeStr"
            label="履约计划开始时间"
            align="center">
          </el-table-column>
          <el-table-column
            prop="num"
            label="人数"
            align="center">
          </el-table-column>
        </el-table>
      </div>
    </el-dialog>
  </div>
</template>

<script>
  export default {
    name: "follow-time",
    props: {
      showThisPage: { //是否显示model
        type: Boolean,
        default: function() {
          return false;
        }
      },
      nodeTimeList: {
        type: Array,
        default: function() {
          return []
        }
      }
    },
    mounted() {
      if(this.planId) {

      }

    },
    data() {
      return {
        showFollowTime: true,
        followUpTimeList: []
      }
    },

    methods: {
      clickClose() {
        this.$emit('closeFollowTime',false)
      },
    }
  }
</script>

<style scoped>

</style>
